OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000020OMNeT++simulation kernelpublic2008-12-04 12:142008-12-10 10:04
Reporterbaumgart 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatuspostponedResolutionsuspended 
PlatformOSOS Version
Product Version4.0b8 
Target Version4.1Fixed in Version 
Summary0000020: ned-path doesn't work with ":" on windows
DescriptionThe ned-path option in the ini file isn't platform-independent: On Windows XP (with MinGW) it has to contains ";" as separation character. ":" doesn't work.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000059)
andras (administrator)
2008-12-04 12:59

This is deliberate: "C:\INET" is not supposed to be interpreted as ["C", "\INET"].
(0000060)
baumgart (reporter)
2008-12-04 13:26
edited on: 2008-12-05 11:06

Okay, i've noticed that ";" works on Linux too. So the preferred way seems to always use ";". Bug can be closed...

(0000070)
andras (administrator)
2008-12-06 19:44

I made note of the suggestion to accept ":" on Windows as well (i.e. a more sophisticated parser could figure out whether a particular ":" is path separator or belongs to a drive letter; a simple StringTokenizer won't do anymore). Maybe for some future release.

- Issue History
Date Modified Username Field Change
2008-12-04 12:14 baumgart New Issue
2008-12-04 12:59 andras Note Added: 0000059
2008-12-04 13:26 baumgart Note Added: 0000060
2008-12-05 11:06 baumgart Note Edited: 0000060
2008-12-06 19:44 andras Note Added: 0000070
2008-12-06 19:44 andras Status new => closed
2008-12-06 19:44 andras Resolution open => won't fix
2008-12-08 11:24 andras Status closed => acknowledged
2008-12-08 11:24 andras Target Version => 4.1
2008-12-10 08:52 rhornig Status acknowledged => to be tested
2008-12-10 09:55 rhornig Resolution won't fix => suspended
2008-12-10 10:04 rhornig Status to be tested => postponed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker